#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "fusd.h"

int main(int argc, char *argv[])
{
  if (argc != 2) {
    fprintf(stderr, "usage: %s <device-to-create>\n", argv[0]);
    exit(0);
  }

  if (fusd_register(argv[1], 0666, 0, NULL) < 0) {
    perror("Register failed");
  } else {
    printf("Registered %s - sleeping 10 seconds\n", argv[1]);
    sleep(10);
  }

  exit(0);
}



